This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 182691 - bad shell code in /etc/init.d/cpuspeed
bad shell code in /etc/init.d/cpuspeed
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cpuspeed (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-23 21:04 EST by Alexandre Oliva
Modified: 2015-01-04 17:25 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-23 22:15:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch that fixes the bug (802 bytes, patch)
2006-02-23 21:04 EST, Alexandre Oliva
no flags Details | Diff

  None (edit)
Description Alexandre Oliva 2006-02-23 21:04:43 EST
Description of problem:
cpuspeed prints errors on cpufreq scaling-capable SMP systems.  The attached
patch fixes the bad shell idiom used there, using an ugly idiom instead :-)

Version-Release number of selected component (if applicable):
cpuspeed-1.2.1-1.32
kernel-2.6.15-1.1975_FC5

How reproducible:
Every time

Steps to Reproduce:
1.service cpuspeed start

Actual results:
/etc/init.d/cpuspeed: line 22: [:
/sys/devices/system/cpu/cpu0/cpufreq/scaling_driver: binary operator expected
Starting cpuspeed:                                         [  OK  ]

Expected results:
No such shell complaint

Additional info:
Comment 1 Alexandre Oliva 2006-02-23 21:04:44 EST
Created attachment 125154 [details]
Patch that fixes the bug
Comment 2 Dave Jones 2006-02-23 22:15:43 EST
thanks, applied.
(And yes, ewwww!)

Note You need to log in before you can comment on or make changes to this bug.